Core - Bug # 58697

Status: Rejected Priority: Should have
Author: Robotic-Brain no-lastname-given Category: Extension Manager
Created: 2014-05-11 Assigned To:

Updated: 2015-01-04 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: no-brainer

Is Regression: Yes

Sprint Focus:

Subiject: jQuery tabs pollution

Description

The first list (<ul>) you output from class.ext_update.php gets converted to jQuery tabs.
This forces you to use tabs, even if you don't want to.
(or use this workaround:

$content .= '<script
type="text/javascript">jQuery(function(){jQuery("#typo3-extension-configuration-forms").tabs("destroy");});</script>';

this can be easily fixed by removing the call to:

$("#typo3-extension-configuration-forms").tabs();

in: /typo3/sysext/extensionmanager/Resources/Public/JavaScript/main.js

Related issues:

related to Core - Task # 42197: Use central jQuery Resolved 2012-10-20
related to Core - Bug # 43244: Support for class.ext_update.php missing in ne... Resolved 2012-11-23
History

#1 - 2014-05-11 21:15 - Markus Klein
- Status changed from New to Accepted

Possible regression to: https://review.typo3.org/#/c/16780/8/typo3/sysext/extensionmanager/Resources/Private/Templates/UpdateScript/Show.html

or: https://review.typo3.org/#/c/15828/20/typo3/sysext/extensionmanager/Resources/Public/JavaScript/main.js

Either the markup is wrong (id attribute that should only be used with extension configuration forms) or the JS is wrong.

#2 - 2014-05-13 20:57 - Christian Kuhn
- Is Regression changed from No to Yes

#3 - 2014-06-10 17:41 - Gerrit Code Review

- Status changed from Accepted to Under Review
https://review.typo3.org/#/c/16780/8/typo3/sysext/extensionmanager/Resources/Private/Templates/UpdateScript/Show.html
https://review.typo3.org/#/c/15828/20/typo3/sysext/extensionmanager/Resources/Public/JavaScript/main.js

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30647

#4 - 2015-01-02 12:06 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/30647

#5 - 2015-01-04 23:44 - Stefan Neufeind
- Status changed from Under Review to Rejected

refactored in CMS7
